#include "ia_pal_types_isp_ids_autogen.h"

static const char *lbff_id_to_dev[45] = {
    "ifd_pipe_1_1",         /* hwid=0 */
    "BXT_BLC",              /* hwid=1 */
    "Linearization2_0",     /* hwid=2 */
    "ifd_lsc_1_1",          /* hwid=3 */
    "LSC_1_2",              /* hwid=4 */
    "GD_DPC_2_2",           /* hwid=5 */
    "ifd_pdaf_1_1",         /* hwid=6 */
    "PEXT_1_0",             /* hwid=7 */
    "PAFStatistics_1_2",    /* hwid=8 */
    "RGBS_Grid_1_1",        /* hwid=9 */
    "CCM_3A_2_0",           /* hwid=10 */
    "AEStatistics_2_1",     /* hwid=11 */
    "FR_Grid_1_0",          /* hwid=12 */
    "odr_awb_std_1_1",      /* hwid=13 */
    "odr_awb_sat_1_1",      /* hwid=14 */
    "odr_awb_sve_1_1",      /* hwid=15 */
    "odr_ae_1_1",           /* hwid=16 */
    "odr_af_std_1_1",       /* hwid=17 */
    "odr_af_sve_1_1",       /* hwid=18 */
    "odr_pdaf_1_1",         /* hwid=19 */
    "",                     /* hwid=20 */
    "RGB_IR_2_0",           /* hwid=21 */
    "odr_ir_1_1",           /* hwid=22 */
    "WB_1_1",               /* hwid=23 */
    "odr_burst_isp_1_1",    /* hwid=24 */
    "BNLM_3_3",             /* hwid=25 */
    "BXT_Demosaic",         /* hwid=26 */
    "VCSC_2_0_b",           /* hwid=27 */
    "GLTM_2_0",             /* hwid=28 */
    "XNR_5_2",              /* hwid=29 */
    "VCR_3_1",              /* hwid=30 */
    "GLIM_2_0",             /* hwid=31 */
    "ACM_1_1",              /* hwid=32 */
    "GammaTM_V3",           /* hwid=33 */
    "BXT_CSC",              /* hwid=34 */
    "B2I_DS_1_0_1",         /* hwid=35 */
    "UpScaler_1_0",         /* hwid=36 */
    "lbff_crop_espa_1_1",   /* hwid=37 */
    "TNR_Scale_LB",         /* hwid=38 */
    "odr_output_ps_1_1",    /* hwid=39 */
    "odr_output_me_1_1",    /* hwid=40 */
    "ifd_gmv_1_1",          /* hwid=41 */
    "GMV_Statistics_1_0",   /* hwid=42 */
    "odr_gmv_feature_1_1",  /* hwid=43 */
    "odr_gmv_match_1_1"     /* hwid=44 */
};

static int lbff_id_to_uuid_tag[45] = {
    ia_pal_uuid_isp_ifd_pipe_1_1,         /* hwid=0 */
    ia_pal_uuid_isp_bxt_blc,              /* hwid=1 */
    ia_pal_uuid_isp_linearization2_0,     /* hwid=2 */
    ia_pal_uuid_isp_ifd_lsc_1_1,          /* hwid=3 */
    ia_pal_uuid_isp_lsc_1_2,              /* hwid=4 */
    ia_pal_uuid_isp_gd_dpc_2_2,           /* hwid=5 */
    ia_pal_uuid_isp_ifd_pdaf_1_1,         /* hwid=6 */
    ia_pal_uuid_isp_pext_1_0,             /* hwid=7 */
    ia_pal_uuid_isp_pafstatistics_1_2,    /* hwid=8 */
    ia_pal_uuid_isp_rgbs_grid_1_1,        /* hwid=9 */
    ia_pal_uuid_isp_ccm_3a_2_0,           /* hwid=10 */
    ia_pal_uuid_isp_aestatistics_2_1,     /* hwid=11 */
    ia_pal_uuid_isp_fr_grid_1_0,          /* hwid=12 */
    ia_pal_uuid_isp_odr_awb_std_1_1,      /* hwid=13 */
    ia_pal_uuid_isp_odr_awb_sat_1_1,      /* hwid=14 */
    ia_pal_uuid_isp_odr_awb_sve_1_1,      /* hwid=15 */
    ia_pal_uuid_isp_odr_ae_1_1,           /* hwid=16 */
    ia_pal_uuid_isp_odr_af_std_1_1,       /* hwid=17 */
    ia_pal_uuid_isp_odr_af_sve_1_1,       /* hwid=18 */
    ia_pal_uuid_isp_odr_pdaf_1_1,         /* hwid=19 */
    0,                                    /* hwid=20 */
    ia_pal_uuid_isp_rgb_ir_2_0,           /* hwid=21 */
    ia_pal_uuid_isp_odr_ir_1_1,           /* hwid=22 */
    ia_pal_uuid_isp_wb_1_1,               /* hwid=23 */
    ia_pal_uuid_isp_odr_burst_isp_1_1,    /* hwid=24 */
    ia_pal_uuid_isp_bnlm_3_3,             /* hwid=25 */
    ia_pal_uuid_isp_bxt_demosaic,         /* hwid=26 */
    ia_pal_uuid_isp_vcsc_2_0_b,           /* hwid=27 */
    ia_pal_uuid_isp_gltm_2_0,             /* hwid=28 */
    ia_pal_uuid_isp_xnr_5_2,              /* hwid=29 */
    ia_pal_uuid_isp_vcr_3_1,              /* hwid=30 */
    ia_pal_uuid_isp_glim_2_0,             /* hwid=31 */
    ia_pal_uuid_isp_acm_1_1,              /* hwid=32 */
    ia_pal_uuid_isp_gammatm_v3,           /* hwid=33 */
    ia_pal_uuid_isp_bxt_csc,              /* hwid=34 */
    ia_pal_uuid_isp_b2i_ds_1_0_1,         /* hwid=35 */
    ia_pal_uuid_isp_upscaler_1_0,         /* hwid=36 */
    ia_pal_uuid_isp_lbff_crop_espa_1_1,   /* hwid=37 */
    ia_pal_uuid_isp_tnr_scale_lb,         /* hwid=38 */
    ia_pal_uuid_isp_odr_output_ps_1_1,    /* hwid=39 */
    ia_pal_uuid_isp_odr_output_me_1_1,    /* hwid=40 */
    ia_pal_uuid_isp_ifd_gmv_1_1,          /* hwid=41 */
    ia_pal_uuid_isp_gmv_statistics_1_0,   /* hwid=42 */
    ia_pal_uuid_isp_odr_gmv_feature_1_1,  /* hwid=43 */
    ia_pal_uuid_isp_odr_gmv_match_1_1     /* hwid=44 */
};

