#include "ia_pal_types_isp_ids_autogen.h"

static const char *lbff_id_to_dev[49] = {
    "ifd_pipe_1_3",             /* hwid=0 */
    "ifd_pipe_long_1_3",        /* hwid=1 */
    "ifd_pipe_short_smth_1_3",  /* hwid=2 */
    "DOL_lite_1_1",             /* hwid=3 */
    "BXT_BLC",                  /* hwid=4 */
    "Linearization2_0",         /* hwid=5 */
    "ifd_lsc_1_3",              /* hwid=6 */
    "LSC_1_2",                  /* hwid=7 */
    "GD_DPC_2_2",               /* hwid=8 */
    "ifd_pdaf_1_3",             /* hwid=9 */
    "PEXT_1_0",                 /* hwid=10 */
    "PAFStatistics_1_2",        /* hwid=11 */
    "RGBS_Grid_1_1",            /* hwid=12 */
    "CCM_3A_2_0",               /* hwid=13 */
    "AEStatistics_2_1",         /* hwid=14 */
    "FR_Grid_1_0",              /* hwid=15 */
    "odr_awb_std_1_3",          /* hwid=16 */
    "odr_awb_sat_1_3",          /* hwid=17 */
    "odr_awb_sve_1_3",          /* hwid=18 */
    "odr_ae_1_3",               /* hwid=19 */
    "odr_af_std_1_3",           /* hwid=20 */
    "odr_af_sve_1_3",           /* hwid=21 */
    "odr_pdaf_1_3",             /* hwid=22 */
    "",                         /* hwid=23 */
    "RGB_IR_2_0",               /* hwid=24 */
    "odr_ir_1_3",               /* hwid=25 */
    "WB_1_1",                   /* hwid=26 */
    "odr_burst_isp_1_3",        /* hwid=27 */
    "BNLM_3_3",                 /* hwid=28 */
    "odr_bnlm_1_3",             /* hwid=29 */
    "BXT_Demosaic",             /* hwid=30 */
    "VCSC_2_0_b",               /* hwid=31 */
    "GLTM_2_0",                 /* hwid=32 */
    "XNR_5_2",                  /* hwid=33 */
    "VCR_3_1",                  /* hwid=34 */
    "GLIM_2_0",                 /* hwid=35 */
    "ACM_1_1",                  /* hwid=36 */
    "GammaTM_V4",               /* hwid=37 */
    "CSC_1_1",                  /* hwid=38 */
    "B2I_DS_1_1",               /* hwid=39 */
    "UpScaler_1_0",             /* hwid=40 */
    "lbff_crop_espa_1_3",       /* hwid=41 */
    "TNR_Scale_LB",             /* hwid=42 */
    "odr_output_ps_1_3",        /* hwid=43 */
    "odr_output_me_1_3",        /* hwid=44 */
    "ifd_gmv_1_3",              /* hwid=45 */
    "GMV_Statistics_1_0",       /* hwid=46 */
    "odr_gmv_feature_1_3",      /* hwid=47 */
    "odr_gmv_match_1_3"         /* hwid=48 */
};

static int lbff_id_to_uuid_tag[49] = {
    ia_pal_uuid_isp_ifd_pipe_1_3,             /* hwid=0 */
    ia_pal_uuid_isp_ifd_pipe_long_1_3,        /* hwid=1 */
    ia_pal_uuid_isp_ifd_pipe_short_smth_1_3,  /* hwid=2 */
    ia_pal_uuid_isp_dol_lite_1_1,             /* hwid=3 */
    ia_pal_uuid_isp_bxt_blc,                  /* hwid=4 */
    ia_pal_uuid_isp_linearization2_0,         /* hwid=5 */
    ia_pal_uuid_isp_ifd_lsc_1_3,              /* hwid=6 */
    ia_pal_uuid_isp_lsc_1_2,                  /* hwid=7 */
    ia_pal_uuid_isp_gd_dpc_2_2,               /* hwid=8 */
    ia_pal_uuid_isp_ifd_pdaf_1_3,             /* hwid=9 */
    ia_pal_uuid_isp_pext_1_0,                 /* hwid=10 */
    ia_pal_uuid_isp_pafstatistics_1_2,        /* hwid=11 */
    ia_pal_uuid_isp_rgbs_grid_1_1,            /* hwid=12 */
    ia_pal_uuid_isp_ccm_3a_2_0,               /* hwid=13 */
    ia_pal_uuid_isp_aestatistics_2_1,         /* hwid=14 */
    ia_pal_uuid_isp_fr_grid_1_0,              /* hwid=15 */
    ia_pal_uuid_isp_odr_awb_std_1_3,          /* hwid=16 */
    ia_pal_uuid_isp_odr_awb_sat_1_3,          /* hwid=17 */
    ia_pal_uuid_isp_odr_awb_sve_1_3,          /* hwid=18 */
    ia_pal_uuid_isp_odr_ae_1_3,               /* hwid=19 */
    ia_pal_uuid_isp_odr_af_std_1_3,           /* hwid=20 */
    ia_pal_uuid_isp_odr_af_sve_1_3,           /* hwid=21 */
    ia_pal_uuid_isp_odr_pdaf_1_3,             /* hwid=22 */
    0,                                        /* hwid=23 */
    ia_pal_uuid_isp_rgb_ir_2_0,               /* hwid=24 */
    ia_pal_uuid_isp_odr_ir_1_3,               /* hwid=25 */
    ia_pal_uuid_isp_wb_1_1,                   /* hwid=26 */
    ia_pal_uuid_isp_odr_burst_isp_1_3,        /* hwid=27 */
    ia_pal_uuid_isp_bnlm_3_3,                 /* hwid=28 */
    ia_pal_uuid_isp_odr_bnlm_1_3,             /* hwid=29 */
    ia_pal_uuid_isp_bxt_demosaic,             /* hwid=30 */
    ia_pal_uuid_isp_vcsc_2_0_b,               /* hwid=31 */
    ia_pal_uuid_isp_gltm_2_0,                 /* hwid=32 */
    ia_pal_uuid_isp_xnr_5_2,                  /* hwid=33 */
    ia_pal_uuid_isp_vcr_3_1,                  /* hwid=34 */
    ia_pal_uuid_isp_glim_2_0,                 /* hwid=35 */
    ia_pal_uuid_isp_acm_1_1,                  /* hwid=36 */
    ia_pal_uuid_isp_gammatm_v4,               /* hwid=37 */
    ia_pal_uuid_isp_csc_1_1,                  /* hwid=38 */
    ia_pal_uuid_isp_b2i_ds_1_1,               /* hwid=39 */
    ia_pal_uuid_isp_upscaler_1_0,             /* hwid=40 */
    ia_pal_uuid_isp_lbff_crop_espa_1_3,       /* hwid=41 */
    ia_pal_uuid_isp_tnr_scale_lb,             /* hwid=42 */
    ia_pal_uuid_isp_odr_output_ps_1_3,        /* hwid=43 */
    ia_pal_uuid_isp_odr_output_me_1_3,        /* hwid=44 */
    ia_pal_uuid_isp_ifd_gmv_1_3,              /* hwid=45 */
    ia_pal_uuid_isp_gmv_statistics_1_0,       /* hwid=46 */
    ia_pal_uuid_isp_odr_gmv_feature_1_3,      /* hwid=47 */
    ia_pal_uuid_isp_odr_gmv_match_1_3         /* hwid=48 */
};

