/*
 * Copyright (C) 2021-2022 Intel Corporation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

// !!! DO NOT EDIT THIS FILE !!!

#include "src/iutils/ModuleTags.h"

const char* tagNames[] = {
    "3atest",
    "AiqCore",
    "AiqEngine",
    "AiqInitData",
    "AiqResult",
    "AiqResultStorage",
    "AiqSetting",
    "AiqUnit",
    "AiqUtils",
    "BufferAllocator",
    "BufferQueue",
    "CASE_3A_CONTROL",
    "CASE_AIQ",
    "CASE_API_MULTI_THREAD",
    "CASE_BUFFER",
    "CASE_COMMON",
    "CASE_CPF",
    "CASE_DEVICE_OPS",
    "CASE_DUAL",
    "CASE_GRAPH",
    "CASE_IQ_EFFECT",
    "CASE_PARAMETER",
    "CASE_PER_FRAME",
    "CASE_STATIC_INFO",
    "CASE_STREAM_OPS",
    "CASE_THREAD",
    "CASE_VIRTUAL_CHANNEL",
    "CBLayoutUtils",
    "CBStage",
    "Camera3AMetadata",
    "Camera3Buffer",
    "Camera3Format",
    "Camera3HAL",
    "Camera3HALModule",
    "CameraBuffer",
    "CameraBufferPool",
    "CameraContext",
    "CameraDevice",
    "CameraDump",
    "CameraEvent",
    "CameraHal",
    "CameraLog",
    "CameraMetadata",
    "CameraParserInvoker",
    "CameraSensorsParser",
    "CameraShm",
    "CameraStream",
    "CaptureUnit",
    "ColorConverter",
    "CsiMetaDevice",
    "Customized3A",
    "CustomizedAic",
    "DeviceBase",
    "Dvs",
    "EXIFMaker",
    "EXIFMetaData",
    "EvcpManager",
    "ExifCreater",
    "FaceDetection",
    "FaceDetectionPVL",
    "FaceSSD",
    "FaceStage",
    "FileSource",
    "GPUPostProcessor",
    "GPUPostStage",
    "GenGfx",
    "GraphConfig",
    "GraphConfigManager",
    "GraphUtils",
    "HAL_FACE_DETECTION_TEST",
    "HAL_basic",
    "HAL_inset_portrait",
    "HAL_jpeg",
    "HAL_multi_streams_test",
    "HAL_rotation_test",
    "HAL_supported_streams_test",
    "HAL_yuv",
    "HalAdaptor",
    "HalV3Utils",
    "I3AControlFactory",
    "ICBMThread",
    "ICamera",
    "IFaceDetection",
    "IPCIntelCca",
    "IPC_FACE_DETECTION",
    "IPipeManagerFactory",
    "IProcessingUnitFactory",
    "ImageProcessorCore",
    "ImageScalerCore",
    "Intel3AParameter",
    "IntelAEStateMachine",
    "IntelAFStateMachine",
    "IntelAWBStateMachine",
    "IntelAlgoClient",
    "IntelAlgoCommonClient",
    "IntelAlgoServer",
    "IntelCPUAlgoServer",
    "IntelCca",
    "IntelCcaClient",
    "IntelCcaServer",
    "IntelEVCPClient",
    "IntelEVCPServer",
    "IntelEvcp",
    "IntelFDServer",
    "IntelFaceDetection",
    "IntelFaceDetectionClient",
    "IntelGPUAlgoServer",
    "IntelICBM",
    "IntelICBMClient",
    "IntelICBMServer",
    "IntelTNR7Stage",
    "IpuPacAdaptor",
    "IspControlUtils",
    "JpegEncoderCore",
    "JpegMaker",
    "JsonCommonParser",
    "JsonParserBase",
    "LensHw",
    "LensManager",
    "LiveTuning",
    "MANUAL_POST_PROCESSING",
    "MakerNote",
    "MediaControl",
    "MetadataConvert",
    "MockCamera3HAL",
    "MockCameraHal",
    "MockPSysDevice",
    "MockSysCall",
    "MsgHandler",
    "OnePunchIC2",
    "OpenSourceGFX",
    "PSysDevice",
    "ParameterConvert",
    "ParameterHelper",
    "Parameters",
    "PipeLine",
    "PipeManager",
    "PipeManagerStub",
    "PlatformData",
    "PnpDebugControl",
    "PostProcessStage",
    "PostProcessorBase",
    "PostProcessorCore",
    "ProcessingUnit",
    "RequestManager",
    "RequestThread",
    "ResultProcessor",
    "SWJpegEncoder",
    "SWPostProcessor",
    "SchedPolicy",
    "Scheduler",
    "SensorHwCtrl",
    "SensorManager",
    "SensorOB",
    "SofSource",
    "SwImageConverter",
    "SwImageProcessor",
    "SwPostProcessUnit",
    "SyncManager",
    "SysCall",
    "TCPServer",
    "Thread",
    "Trace",
    "UltraManEvcp",
    "Utils",
    "V4l2DeviceFactory",
    "V4l2_device_cc",
    "V4l2_subdevice_cc",
    "V4l2_video_node_cc",
    "VendorTags",
    "camera_metadata_tests",
    "icamera_metadata_base",
    "metadata_test",
    "FPS",
    "GPU_TNR",
    "STATS",
};

// !!! DO NOT EDIT THIS FILE !!!
